%define rcver rc2
# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.31-7}

%define kmod_name em8300
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)
%define kvariants PAE ""

%define upvar ""
%{!?kvariants: %define kvariants %{?upvar} }

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de

Name:           %{kmod_name}-kmod
Summary:        Kernel modules for DXR3/Hollywood Plus MPEG decoder cards
Version:        0.17.4
Release:       	1.%(echo %{kverrel} | tr - _)

Group:          System/Kernel
License:        GNU/GPL
URL:            http://dxr3.sourceforge.net/
# http://dxr3.sourceforge.net/download/em8300-0.16.0-rc1.tar.gz
# with modules/em8300.uc removed
Source0:        %{kmod_name}-%{version}-rc2.tar.gz
#Source0:        %{kmod_name}-nofirmware-%{version}.tar.gz


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  sed >= 3.95

ExclusiveArch:	i586 i686 x86_64

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
%{summary}.

%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
%setup -q -c 
cd %{kmod_name}-%{version}-%{rcver}
cd ..
for kvariant in %{kvariants} ; do
     cp -a %{kmod_name}-%{version}-%{rcver} _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants} ; do
    kv=%{kverrel}$kvariant
    ks=%{_usrsrc}/kernels/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}
    make -C _kmod_build_$kvariant/modules \
        V=1 KERNVER=$kv KERNEL_LOCATION=$ks
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants} ; do
    kv=%{kverrel}$kvariant
    ks=%{_usrsrc}/kernels/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}
    make -C _kmod_build_$kvariant/modules install DESTDIR=$RPM_BUILD_ROOT \
        KERNVER=$kv KERNEL_LOCATION=$ks INSTALL_MOD_DIR=extra/%{kmod_name}
    # remove unneccessary moddep files (will be regenerated when post scriplet is run)
    rm -rf $RPM_BUILD_ROOT/lib/modules/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}/modules.*
done
chmod +x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*.ko


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat Sep 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.17.3-1
- version update + 0.17.4rc2 patch
- kernel 2.6.31-7
* Mon Jan 26 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.17.2-3
- kernel 2.6.28-4
* Mon Jan 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.17.2-2
- kernel 2.6.28-3
* Sat Dec 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.2-1
- version update
- kernel 2.6.28-1
* Sun Aug 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.1-3
- kernel 2.6.26-9
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.1-2
- fixed kernel dependency
* Sat Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.1-1
- version update
* Fri Jul 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.0-10
- kernel 2.6.26-5
* Sun Jul 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.0-9
- kernel 2.6.26-3
* Sat Jul 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.0-8
- kernel 2.6.26-2
* Mon Jun 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.0-7
- kernel 2.6.25-14
* Wed Jun 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.0-6
- kernel 2.6.25-12
* Sun Jun 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.0-5
- kernel 2.6.25-11
* Fri May 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.0-4
- kernel 2.6.25-7
* Sat May 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.0-3
- kernel 2.6.25-6
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.17.0-2
- kernel 2.6.25-4
* Sun Apr 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.17.0-1
- Version update
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.16.4-3
- kernel 2.6.25-3
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.16.4-2
- kernel 2.6.24-10
* Sat Feb 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.16.4-1
- Version update
- kernel 2.6.24-9
* Sun Dec 30 2007 Christian Metzen <metzench@ccux-linux.de> 0.16.3-5
- kernel 2.6.24-6
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.3-4
- kernel 2.6.24-5
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.3-3
- kernel 2.6.24-3
* Sun Nov 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.3-2
- kernel 2.6.24-1
* Mon Nov 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.3-1
- Version update
- kernel 2.6.23-7
* Thu Jun 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.2-3
- kernel 2.6.21-5
* Mon Jun 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.2-2
- kernel 2.6.21-4
* Thu May 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.2-1
- Version update 
- kernel 2.6.21-2
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.1-1
- svn checkout 04272007
- kernel 2.6.21-1
* Sun Apr 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.0-9
- kernel 2.6.20-7
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.0-8
- Kernel 2.6.20-5
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.0-7
- Kernel 2.6.20-4
* Thu Feb 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.0-6
- Kernel 2.6.20-3
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.0-5
- Kernel 2.6.20-2
* Tue Feb 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.16.0-4
- Kernel 2.6.20-1
* Sat Jan 13 2007 Christian Metzen <metzench@ccux-linux.de> 0.16.0-3
- Kernel 2.6.19-6
* Mon Jan 08 2007 Christian Metzen <metzench@ccux-linux.de> 0.16.0-2
- Kernel 2.6.19-5, Update to final 0.16.0
* Wed Nov 01 2006 Christian Metzen <metzench@ccux-linux.de> 0.16.0-1
- Version update, Kernel 2.6.18-4
* Sun Oct 15 2006 Christian Metzen <metzench@ccux-linux.de> 0.15.3-1
- Initial release
